Subject: Re: bug#25525: 25.1.90; add color highlighting to css mode

From: Tom Tromey <[email-masked]>
Date: Mon, 20 Mar 2017 15:28:33 -0600

Simen> Here's another one: SCSS variables and mixins with the exact same name
Simen> as a color are highlighted. So in the following, both instances of
Simen> "black" are highlighted in black:

Simen> @mixin black {
Simen> $black: #000;
Simen> }

Tom> Fixing "$black" seems possible.  I'll take a look.

I just tried my patch and "$black" is not highlighted here in scss mode.
I think that's expected, now that I look at it, because
css--colors-regexp starts with a "\_<", so it only matches at symbol
boundaries.

Tom